Index: /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php	(revision 6947)
+++ /extensions/GrumPluginClasses/classes/GPCCore.class.inc.php	(revision 6948)
@@ -56,5 +56,5 @@
         Array('name' => "GPCPagesNavigations", 'version' => "2.0.0"),
         Array('name' => "GPCPublicIntegration", 'version' => "2.0.0"),
-        Array('name' => "GPCRequestBuilder", 'version' => "1.0.0"),
+        Array('name' => "GPCRequestBuilder", 'version' => "1.1.0"),
         Array('name' => "GPCTables", 'version' => "1.5.0"),
         Array('name' => "GPCTabSheet", 'version' => "1.1.0"),
@@ -284,4 +284,6 @@
       '/\n{0,1}\[ul\]\n{0,1}/im',
       '/\n{0,1}\[\/ul\]\n{0,1}/im',
+      '/\n{0,1}\[ol\]\n{0,1}/im',
+      '/\n{0,1}\[\/ol\]\n{0,1}/im',
       '/\n/im',
     );
@@ -295,4 +297,6 @@
       '<ul>',
       '</ul>',
+      '<ol>',
+      '</ol>',
       '<br>',
     );
Index: /extensions/GrumPluginClasses/css/gpc.css
===================================================================
--- /extensions/GrumPluginClasses/css/gpc.css	(revision 6947)
+++ /extensions/GrumPluginClasses/css/gpc.css	(revision 6948)
@@ -58,2 +58,35 @@
 .tabsheet2 a span { display:block; font-size:10px; margin-right:2px; padding:0 3px 0 1px; }
 
+
+.helps {
+  background-color:#99DDFF;
+  background-image:url("./../icons/help.png");
+  background-position:5px 5px;
+  background-repeat:no-repeat;
+  color:#0066EE;
+  font-weight:bold;
+  margin:5px;
+  min-height:54px;
+  padding:5px 70px 0 53px;
+  text-align:left;
+}
+
+.warnings, .errors, .helps {
+  -moz-border-radius:4px;
+  -webkit-border-radius:4px;
+  -khtml-border-radius:4px;
+  border-radius:4px;
+  padding-left:60px;
+  margin-bottom:12px;
+}
+.warnings p, .helps p, .errors p {
+  margin:0;
+  padding:0 0 6px;
+  text-align: justify;
+}
+.warnings ul, .helps ul, .errors ul {
+  margin:-6px 0;
+  padding:0 40px 6px;
+}
+
+
Index: /extensions/GrumPluginClasses/gpc_aim.class.inc.php
===================================================================
--- /extensions/GrumPluginClasses/gpc_aim.class.inc.php	(revision 6947)
+++ /extensions/GrumPluginClasses/gpc_aim.class.inc.php	(revision 6948)
@@ -45,49 +45,5 @@
   }
 
-  /*
-    surchage of CommonPlugin->saveConfig function
-  */
-  function loadConfig()
-  {
-    parent::loadConfig();
-    if(!$this->css->fileExists())
-    {
-      $this->css->makeCSS($this->generate_CSS());
-    }
-  }
 
-  /*
-    surchage of CommonPlugin->saveConfig function
-  */
-  function saveConfig()
-  {
-    if(parent::saveConfig())
-    {
-      $this->css->makeCSS($this->generate_CSS());
-      return(true);
-    }
-    return(false);
-  }
-
-  /*
-    generate the css code
-  */
-  function generate_CSS()
-  {
-    $text = "
-.formtable, .formtable P { text-align:left; display:block; }
-.formtable tr { vertical-align:top; }
-.invisible { visibility:hidden; display:none; }
-.littlefont { font-size:90%; }
-table.table2.littlefont td { text-align:center;padding:0px;padding-left:3px;padding-right:3px; }
-.throw { line-height:auto; font-size:100%; }
-table.table2 tr.throw { height:26px; }
-table.table2 td.toLeft  { text-align:left; }
-div.table { margin-bottom:15px; }
-pointerHand { cursor:pointer; }
-    ";
-
-    return($text);
-  }
 
   /* ---------------------------------------------------------------------------
Index: /extensions/GrumPluginClasses/main.inc.php
===================================================================
--- /extensions/GrumPluginClasses/main.inc.php	(revision 6947)
+++ /extensions/GrumPluginClasses/main.inc.php	(revision 6948)
@@ -58,4 +58,14 @@
 |         |            | * Enhance GPCRequestBuilder functionnalities
 |         |            |   - now abble to manage complex request with multi-record
+|         |            |   - result can be stored in the caddie
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
 |         |            |
 |         |            |