Index: /extensions/gally/gally-default/admin/GallyFunctions.class.inc.php
===================================================================
--- /extensions/gally/gally-default/admin/GallyFunctions.class.inc.php	(revision 6955)
+++ /extensions/gally/gally-default/admin/GallyFunctions.class.inc.php	(revision 6956)
@@ -30,5 +30,5 @@
    * DO NOT USE IT DIRECTLY
    */
-  static public function expandMenuEvent(&$where)
+  static public function expandMenuEvent($where)
   {
     $where=get_sql_condition_FandF(array('visible_categories' => 'id'), null, true);
Index: /extensions/gally/gally-default/css/picture.css
===================================================================
--- /extensions/gally/gally-default/css/picture.css	(revision 6955)
+++ /extensions/gally/gally-default/css/picture.css	(revision 6956)
@@ -86,5 +86,5 @@
 
 #navThumbPrev, #navThumbNext {
-  background-image:url(./icon/1x1transp.gif);
+  background-image:url(./../icon/1x1transp.gif);
   background-repeat:repeat;
   position:absolute;
@@ -220,5 +220,5 @@
 
 #imageInfos {
-  background-image:url(./icon/1x1transp.gif);
+  background-image:url(./../icon/1x1transp.gif);
   background-repeat:repeat;
   width:100%;
@@ -384,4 +384,5 @@
  * trick necessary for IE7.0
 */
-#theTabsContainer{ visibility:visible; background:url(icon/1x1transp.gif) }
-#imageToolBar { visibility:visible; background:url(icon/1x1transp.gif) }
+#theTabsContainer{ visibility:visible; background:url(./../icon/1x1transp.gif) }
+#imageToolBar { visibility:visible; background:url(./../icon/1x1transp.gif) }
+
Index: /extensions/gally/gally-default/js/gallyjs-tpp.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 6955)
+++ /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 6956)
@@ -354,5 +354,5 @@
     if(showtabs=='y')
     {
-      $("#theTabsContainer").animate({height:options.tabsVisible+"px"}, options.animateDelay);
+      $("#theTabsContainer").animate({height:options.tabsVisible+"px"}, options.animateDelay).trigger('resize');
     }
     else
@@ -360,5 +360,5 @@
       $('#theTabs div.tabPanel').addClass("ui-tabs-hide").css("display", "");
       $('#theTabs li').removeClass("ui-tabs-selected");
-      $("#theTabsContainer").animate({height:options.tabsHidden+"px"}, options.animateDelay);
+      $("#theTabsContainer").animate({height:options.tabsHidden+"px"}, options.animateDelay).trigger('resize');
     }
   }
@@ -367,5 +367,5 @@
     if(showtabs=='y')
     {
-      $("#theTabsContainer").css({height:options.tabsVisible+"px"});
+      $("#theTabsContainer").css({height:options.tabsVisible+"px"}).trigger('resize');
     }
     else
@@ -373,5 +373,5 @@
       $('#theTabs div.tabPanel').addClass("ui-tabs-hide").css("display", "");
       $('#theTabs li').removeClass("ui-tabs-selected");
-      $("#theTabsContainer").css({height:options.tabsHidden+"px"});
+      $("#theTabsContainer").css({height:options.tabsHidden+"px"}).trigger('resize');
     }
   }
Index: /extensions/gally/gally-default/release_notes.txt
===================================================================
--- /extensions/gally/gally-default/release_notes.txt	(revision 6955)
+++ /extensions/gally/gally-default/release_notes.txt	(revision 6956)
@@ -85,4 +85,26 @@
   |         |            |   a high resolution image
   |         |            |
+  | 1.3.2   | 2010-08-21 | * add a 'resize' trigger on on the #theTabsContainer
+  |         |            |   item
+  |         |            | * bug fixed : multiple tabs have the same name
+  |         |            | * on the metadata tabs management, add the possiblity
+  |         |            |   to display raw content in the tab
+  |         |            |   . to use it, just give one line of data with the
+  |         |            |     key name '<!--rawContent-->' ; value is dumped in
+  |         |            |     the tabs without being formatted in a table
+  |         |            |
+  | 1.3.3   | 2010-09-13 | * mantis: bug 1714
+  |         |            |   . error on GallyFunctions::expandMenuEvent on
+  |         |            |     gally-lapis-lazuli
+  |         |            | * mantis: bug 1864
+  |         |            |   . 'missing token' message when user try to change
+  |         |            |     theme
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
   |         |            |
   |         |            |
Index: /extensions/gally/gally-default/template/picture.tpl
===================================================================
--- /extensions/gally/gally-default/template/picture.tpl	(revision 6955)
+++ /extensions/gally/gally-default/template/picture.tpl	(revision 6956)
@@ -152,5 +152,5 @@
       {if isset($metadata)}
         {foreach from=$metadata item=meta key=id}
-          <li class="tab" id="tabImageMeta"><a href="#imageMeta{$id}">{$meta.TITLE|@translate}</a></li>
+          <li class="tab" id="tabImageMeta{$id}"><a href="#imageMeta{$id}">{$meta.TITLE|@translate}</a></li>
         {/foreach}
       {/if}
@@ -360,14 +360,20 @@
       <div id="imageMetaContainer{$id}">
         <div class="imageMetaBg">&nbsp;</div>
-        <table id="displaymeta{$id}" class="displaymeta infoTable">
-          {foreach from=$meta.lines item=value key=label name=metaloop}
-          {if ($smarty.foreach.metaloop.iteration-1) % #metaNumCols# == 0}
-            {if !$smarty.foreach.metaloop.first}</tr>{/if}
-            {if !$smarty.foreach.metaloop.last}<tr>{/if}
-          {/if}
-            <td class="label">{$label|@translate}</td>
-            <td class="value">{$value}</td>
-        {/foreach}
-        </table>
+
+        {if count($meta.lines)>0 and !array_key_exists('<!--rawContent-->', $meta.lines)}
+          <table id="displaymeta{$id}" class="displaymeta infoTable">
+            {foreach from=$meta.lines item=value key=label name=metaloop}
+              {if ($smarty.foreach.metaloop.iteration-1) % #metaNumCols# == 0}
+                {if !$smarty.foreach.metaloop.first}</tr>{/if}
+                {if !$smarty.foreach.metaloop.last}<tr>{/if}
+              {/if}
+              <td class="label">{$label|@translate}</td>
+              <td class="value">{$value}</td>
+            {/foreach}
+          </table>
+        {else}
+          {assign var='empty' value='<!--rawContent-->'}
+          {$meta.lines.$empty}
+        {/if}
       </div>
     </div> <!-- imageMeta -->
Index: /extensions/gally/gally-default/template/profile_content.tpl
===================================================================
--- /extensions/gally/gally-default/template/profile_content.tpl	(revision 6955)
+++ /extensions/gally/gally-default/template/profile_content.tpl	(revision 6956)
@@ -105,4 +105,5 @@
 
   <p class="bottomButtons">
+    <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
     <input class="submit" type="submit" name="validate" value="{'Submit'|@translate}">
     <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
Index: /extensions/gally/gally-default/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-default/themeconf.inc.php	(revision 6955)
+++ /extensions/gally/gally-default/themeconf.inc.php	(revision 6956)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally
-Version: 1.3.1
+Version: 1.3.3
 Description: Parent theme for all the Gally themes
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=382