Index: /extensions/jiwigo/trunk/install/install.txt
===================================================================
--- /extensions/jiwigo/trunk/install/install.txt	(revision 6962)
+++ /extensions/jiwigo/trunk/install/install.txt	(revision 6963)
@@ -25,4 +25,11 @@
 src/main/java fr.mael.jiwigo.Main
 
+If you want to build an executable jar from the sources, I recommend to use a maven command : create a new "External tool configuration" 
+type "Program" in location put the maven executable in working directory put "${project_loc}" and in argument put "assembly:assembly".
+Execute the command. The reason to use this command is that it launches the tests of the project and does not build a jar if the
+tests fail. It creates two jar in the "target" directory of the project : Jiwigo-version.jar and Jiwigo-version-jar-with-dependencies.jar.
+The first one is not usable because it contains only the class file of the project. The second one can be executed because
+it contains the dependencies of the project.
+
 Enjoy.
 
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/TestBase.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/TestBase.java	(revision 6963)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/TestBase.java	(revision 6963)
@@ -0,0 +1,28 @@
+package fr.mael.jiwigo;
+
+import junit.framework.Assert;
+
+import org.junit.Test;
+
+import fr.mael.jiwigo.transverse.session.SessionManager;
+
+public class TestBase {
+    public TestBase() {
+	Main.sessionManager = new SessionManager("mael", "motdepasse", "http://mael.piwigo.com");
+	if (!Main.sessionManager.processLogin()) {
+	    try {
+		throw new Exception("Connection failed");
+	    } catch (Exception e) {
+		e.printStackTrace();
+	    }
+	}
+    }
+
+    /**
+     * Fake test so that maven assembly plugin's build does not fail
+     */
+    @Test
+    public void fakeTest() {
+	Assert.assertSame(true, true);
+    }
+}
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java	(revision 6963)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/CategoryServiceTest.java	(revision 6963)
@@ -0,0 +1,40 @@
+package fr.mael.jiwigo.service;
+
+import java.io.IOException;
+import java.util.Date;
+
+import junit.framework.Assert;
+
+import org.junit.Test;
+
+import fr.mael.jiwigo.TestBase;
+import fr.mael.jiwigo.dao.CategoryDao;
+
+public class CategoryServiceTest extends TestBase {
+    public CategoryServiceTest() {
+	super();
+    }
+
+    /**
+     *  Test of the listing method
+     */
+    @Test
+    public void ListerTest() {
+	try {
+	    CategoryDao.getInstance().lister(true);
+	    CategoryDao.getInstance().lister(false);
+	} catch (IOException e) {
+	    e.printStackTrace();
+	}
+    }
+
+    /**
+     * Test of the creation method
+     */
+    @Test
+    public void creerTest() {
+	Date date = new Date();
+	Assert.assertSame(true, CategoryService.getInstance().creer("Category" + date.getTime()));
+    }
+
+}
Index: /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java
===================================================================
--- /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java	(revision 6963)
+++ /extensions/jiwigo/trunk/src/test/java/fr/mael/jiwigo/service/ServicesTest.java	(revision 6963)
@@ -0,0 +1,31 @@
+package fr.mael.jiwigo.service;
+
+import junit.framework.Assert;
+
+import org.junit.Test;
+
+import fr.mael.jiwigo.TestBase;
+import fr.mael.jiwigo.om.Category;
+import fr.mael.jiwigo.om.Image;
+
+public class ServicesTest extends TestBase {
+
+    public ServicesTest() {
+	super();
+    }
+
+    @Test
+    public void testCreer() throws Exception {
+	Category cat = null;
+	for (Category category : CategoryService.getInstance().lister(true)) {
+	    if (category.getIdentifiant().equals(3)) {
+		cat = category;
+		break;
+	    }
+	}
+	Image image = ImageService.getInstance().listerParCategory(cat.getIdentifiant(), true).get(0);
+	int firstCount = CommentService.getInstance().lister(image.getIdentifiant()).size();
+	CommentService.getInstance().creer("comment test", image.getIdentifiant(), "none");
+	Assert.assertSame(firstCount + 1, CommentService.getInstance().lister(image.getIdentifiant()).size());
+    }
+}