Index: trunk/language/pt_BR/admin.lang.php
===================================================================
--- trunk/language/pt_BR/admin.lang.php	(revision 6951)
+++ trunk/language/pt_BR/admin.lang.php	(revision 6969)
@@ -58,5 +58,5 @@
 $lang['Add'] = 'Adicionar';
 $lang['Allow user registration'] = 'Permitir o registro de usuário';
-$lang['Apply to subcategories'] = 'Aplicar às subcategorias';
+$lang['Apply to sub-albums'] = 'Aplicar às subcategorias';
 $lang['Associated'] = 'Associados(as)';
 $lang['Association to categories'] = 'Associação a categorias';
@@ -65,5 +65,5 @@
 $lang['Caddie'] = 'Cesta';
 $lang['Categories authorized thanks to group associations'] = 'Categorias autorizadas graças a associações de grupo';
-$lang['Categories manual order was saved'] = 'A ordem manual das categorias foi salva';
+$lang['Album manual order was saved'] = 'A ordem manual das categorias foi salva';
 $lang['Category elements associated to the following categories: %s'] = 'Itens da categoria associados às seguintes categorias: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'A checagem por atualização falhou por razões desconhecidas.';
@@ -106,5 +106,5 @@
 $lang['Link all category elements to a new category'] = 'Vincular (lincar) todos os itens da categoria a uma nova categoria';
 $lang['Link all category elements to some existing categories'] = 'Vincular (lincar) todos os itens da categoria a alguma(s) categoria existente';
-$lang['Linked categories'] = 'Categorias vinculadas (Linked)';
+$lang['Linked albums'] = 'Categorias vinculadas (Linked)';
 $lang['Lock gallery'] = 'Trancar a  galeria';
 $lang['Maintenance'] = 'Manutenção';
@@ -115,9 +115,9 @@
 $lang['Members'] = 'Membros';
 $lang['Metadata synchronized from file'] = 'Metadados sincronizados do arquivo';
-$lang['Move categories'] = 'Mover categorias';
+$lang['Move albums'] = 'Mover categorias';
 $lang['Move'] = 'Mover';
 $lang['Name'] = 'Nome';
 $lang['New name'] = 'Nome novo';
-$lang['New parent category'] = 'Nova categoria pai (parent category)';
+$lang['New parent album'] = 'Nova categoria pai (parent category)';
 $lang['New tag'] = 'Tag nova';
 $lang['Number of comments per page'] = 'Número de comentários por página';
@@ -129,5 +129,5 @@
 $lang['Other private categories'] = 'Outras categorias privadas';
 $lang['Page banner'] = 'Banner da página (imagem que fica no cabeçalho)';
-$lang['Parent category'] = 'Categoria pai';
+$lang['Parent album'] = 'Categoria pai';
 $lang['Path'] = 'Caminho (path)';
 $lang['Permalink'] = 'Permalink (endereço permanente)';
@@ -164,5 +164,5 @@
 $lang['Status'] = 'Status';
 $lang['Statistics'] = 'Statísticas';
-$lang['Storage category'] = 'categoria da armazenagem';
+$lang['Storage album'] = 'categoria da armazenagem';
 $lang['Sum of rates'] = 'Soma dos valores';
 $lang['Tag "%s" already exists'] = 'A tag "%s" já existe';
@@ -182,5 +182,5 @@
 $lang['Virtual categories movement'] = 'Categorias virtuais movement';
 $lang['Virtual categories to move'] = 'Categorias virtuais a serem movidas';
-$lang['Virtual category name'] = 'Nome da categoria virtual';
+$lang['Virtual album name'] = 'Nome da categoria virtual';
 $lang['Webmaster cannot be deleted'] = 'Webmaster não pode ser apagado';
 $lang['You are running on development sources, no check possible.'] = 'Você está navegando em fontes de desenvolvimento, nenhuma checagem é possível.';
@@ -193,16 +193,16 @@
 $lang['associate to group'] = 'associar ao grupo';
 $lang['Authorized'] = 'Autorizado';
-$lang['Add a virtual category'] = 'Adicionar uma categoria virtual';
+$lang['Add a virtual album'] = 'Adicionar uma categoria virtual';
 $lang['Authorize users to add comments on selected categories'] = 'Autorizar os usuários a adicionar comentários nas categorias selecionadas';
 $lang['The name of a category should not be empty'] = 'O nome de uma categoria não deveria ser vazio';
-$lang['Lock categories'] = 'Trancar categorias';
-$lang['Private category'] = 'Categorias privadas';
-$lang['Public category'] = 'Categorias públicas';
+$lang['Lock albums'] = 'Trancar categorias';
+$lang['Private'] = 'Categorias privadas';
+$lang['Public'] = 'Categorias públicas';
 $lang['Find a new representant by random'] = 'Encontrar um novo representante aleatoriamente';
 $lang['Public / Private'] = 'Público / Privado';
 $lang['Manage authorizations for selected categories'] = 'Gerenciar as autorizações para categorias selecionadas';
 $lang['Select uploadable categories'] = 'Selecionar categorias uploadable';
-$lang['Virtual category added'] = 'Categoria virtual adicionada';
-$lang['Virtual category deleted'] = 'Categoria virtual apagada';
+$lang['Virtual album added'] = 'Categoria virtual adicionada';
+$lang['Virtual album deleted'] = 'Categoria virtual apagada';
 $lang['Category'] = 'Categoria';
 $lang['Access type'] = 'Tipo de acesso';