Index: /extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 6970)
+++ /extensions/PWG_Stuffs/language/cs_CZ/plugin.lang.php	(revision 6971)
@@ -2,14 +2,14 @@
 //czech lang by webprostor.eu
 $lang['stuffs_mods_management'] = 'Moduly management';
-$lang['stuffs_add_mod'] = 'Pøidat modul';
+$lang['stuffs_add_mod'] = 'Přidat modul';
 $lang['stuffs_edit_mod'] = 'Editace modulu';
 
 $lang['stuffs_module_title'] = 'Modul název';
 $lang['stuffs_desc'] = 'Popis';
-$lang['stuffs_only_for_admin'] = '(pouze pro administraèní panel)';
+$lang['stuffs_only_for_admin'] = '(pouze pro administrační panel)';
 $lang['stuffs_type'] = 'Typ modulu';
 $lang['stuffs_position'] = 'Pozice';
 $lang['stuffs_id_ligne'] = 'ID line';
-$lang['stuffs_width'] = 'Šírka';
+$lang['stuffs_width'] = 'Šířka';
 $lang['stuffs_action'] = 'Akce';
 $lang['stuffs_edit'] = 'Upravit modul';
@@ -18,5 +18,5 @@
 $lang['stuffs_main_block'] = 'Hlavní blok';
 
-$lang['stuffs_add_module'] = 'Pøidat nový modul';
+$lang['stuffs_add_module'] = 'Přidat nový modul';
 $lang['stuffs_module_config'] = 'Konfigurace modulu';
 $lang['stuffs_visual_config'] = 'Zobraz konfiguraci';
@@ -24,5 +24,5 @@
 $lang['stuffs_authorized_group'] = 'Autorizované skupiny';
 $lang['stuffs_authorized_users'] = 'Povolení uživatelé ';
-$lang['stuffs_public_module'] = '(Nechte prázdné pro veøejný modul)';
+$lang['stuffs_public_module'] = '(Nechte prázdné pro veřejný modul)';
 $lang['stuffs_show_title'] = 'Zobraz název modulu';
 $lang['stuffs_show_module_on'] = 'Zobrazit modul :';
@@ -44,15 +44,15 @@
 //------------------------------------------------------------------------------
 
-$lang['module_name_lastcoms'] = 'Poslední komentáøe';
-$lang['module_desc_lastcoms'] = 'Zobrazí naposledy vložené komentáøe';
+$lang['module_name_lastcoms'] = 'Poslední komentáře';
+$lang['module_desc_lastcoms'] = 'Zobrazí naposledy vložené komentáře';
 
-$lang['lastcoms_no_nb_comments'] = 'Zadejte poèet zobrazených komentáøù.';
+$lang['lastcoms_no_nb_comments'] = 'Zadejte počet zobrazených komentářù.';
 $lang['lastcoms_config'] = 'Konfigurace';
-$lang['lastcoms_nb_comments'] = 'Poèet komentáøù k zobrazení';
-$lang['lastcoms_show_buttons'] = 'Zobraz admin tlaèítko';
+$lang['lastcoms_nb_comments'] = 'Počet komentářù k zobrazení';
+$lang['lastcoms_show_buttons'] = 'Zobraz admin tlačítko';
 $lang['lastcoms_dim'] = 'Velikost náhledu';
-$lang['lastcoms_width'] = 'Œíøka max';
+$lang['lastcoms_width'] = 'Šířka max';
 $lang['lastcoms_height'] = 'Výška max';
-$lang['lastcoms_nb_cadres'] = 'Poèet rámù na øádek';
+$lang['lastcoms_nb_cadres'] = 'Počet rámù na řádek';
 $lang['lastcoms_taille_cadres'] = 'Výška rámu';
 
@@ -62,6 +62,6 @@
 //------------------------------------------------------------------------------
 
-$lang['module_name_logon'] = 'Pøihlášení';
-$lang['module_desc_logon'] = 'Zobraz pøihlašovací blok';
+$lang['module_name_logon'] = 'Přihlášení';
+$lang['module_desc_logon'] = 'Zobraz přihlašovací blok';
 
 $lang['logon_remove_menubar_block'] = 'Odstranit "Quick connect" blok z menu';
@@ -73,5 +73,5 @@
 
 $lang['module_name_personal'] = 'Osobní blok';
-$lang['module_desc_personal'] = 'Zobrazí personnal block (nìco jako editor)';
+$lang['module_desc_personal'] = 'Zobrazí personnal block (něco jako editor)';
 
 $lang['personal_content'] = 'obsah';
@@ -86,5 +86,5 @@
 
 $lang['stuffs_tags_default_display'] = 'Zobrazení štítkù';
-$lang['stuffs_tags_cloud'] = 'Mraèno štítkù';
+$lang['stuffs_tags_cloud'] = 'Mračno štítkù';
 $lang['stuffs_tags_letters'] = 'Podle písmen';
 $lang['stuffs_tags_cumulus'] = 'Použít mód cumulus (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> musí být nainstalován)';
@@ -98,7 +98,7 @@
 $lang['module_desc_piclenswall'] = 'Zobrazí Piclens 3D stìnu (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> musí být nainstalován)';
 
-$lang['piclenswall_height'] = 'výška stìny';
+$lang['piclenswall_height'] = 'výška stěny';
 $lang['piclenswall_background_color'] = 'Barva pozadí';
-$lang['piclenswall_black'] = 'Èerná';
+$lang['piclenswall_black'] = 'Černá';
 $lang['piclenswall_white'] = 'Bílá';
 $lang['piclenswall_info'] = 'Aby 3Dwall mohl fungovat';
@@ -111,8 +111,8 @@
 //------------------------------------------------------------------------------
 
-$lang['module_name_mostvisited'] = 'Èasto navštìvované';
+$lang['module_name_mostvisited'] = 'Často navštěvované';
 $lang['module_desc_mostvisited'] = 'Zobrazí X nejvíce zobrazených fotek v galerii nebo kategorii';
 
-$lang['stuffs_mv_nb_images'] = 'Maximální poèet fotek k zobrazení';
+$lang['stuffs_mv_nb_images'] = 'Maximální počet fotek k zobrazení';
 $lang['stuffs_mv_category_display'] = 'Zobrazit v kategoriích';
 $lang['stuffs_mv_all_cats'] = 'Všechny kategorie';
@@ -121,5 +121,5 @@
 $lang['stuffs_mv_selected_cats'] = 'Jen vybraným kategoriím';
 
-$lang['stuffs_mv_cat_selection'] = 'Výbìr kategorie';
+$lang['stuffs_mv_cat_selection'] = 'Výběr kategorie';
 $lang['stuffs_mv_hold_ctrl'] = 'podržet CTRL';
 