Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 6973)
+++ /trunk/language/de_DE/admin.lang.php	(revision 6974)
@@ -24,12 +24,12 @@
 $lang['%d association'] = '%d Element wird insgesamt angezeigt (physisch und virtuell)';
 $lang['%d associations'] = '%d Elemente werden insgesamt angezeigt (physisch und virtuell)';
-$lang['%d album including'] = '%d Kategorie enthalten';
-$lang['%d albums including'] = '%d Kategorien enthalten ';
+$lang['%d album including'] = '%d Album enthalten';
+$lang['%d albums including'] = '%d Alben enthalten ';
 $lang['%d physical'] = '%d physisch';
 $lang['%d physical'] = '%d physische';
 $lang[' and %d virtual'] = ' und %d virtuell';
 $lang[' and %d virtual'] = ' und %d virtuelle';
-$lang['%d album moved'] = '%d Kategorie verschoben';
-$lang['%d albums moved'] = '%d Kategorien verschoben';
+$lang['%d album moved'] = '%d Album verschoben';
+$lang['%d albums moved'] = '%d Alben verschoben';
 $lang['%d group'] = '%d Gruppe';
 $lang['%d groups'] = '%d Gruppe';
@@ -58,12 +58,12 @@
 $lang['Add'] = 'Hinzufügen';
 $lang['Allow user registration'] = 'Erlaube die Neuregistrierung von Benutzern';
-$lang['Apply to sub-albums'] = 'Einstellungen auch für Unterkategirien übernehmen';
+$lang['Apply to sub-albums'] = 'Einstellungen auch für Unteralben übernehmen';
 $lang['Associated'] = 'ist verlinkt';
-$lang['Association to categories'] = 'Ist in folgende Kategorien verlinkt';
+$lang['Association to categories'] = 'Ist in folgende Alben verlinkt';
 $lang['Batch management'] = 'Stapelverarbeitung';
 $lang['Caddie management'] = 'Sammelkorb verwalten';
 $lang['Caddie'] = 'Sammelkorb';
 $lang['Categories authorized thanks to group associations'] = 'Für Kategorien freigeschaltet durch Gruppenzugehörigkeit';
-$lang['Album manual order was saved'] = 'Kategorienreihenfolge gespeichert';
+$lang['Album manual order was saved'] = 'Albenreihenfolge gespeichert';
 $lang['Category elements associated to the following categories: %s'] = 'Kategorieelemente zu folgenden Kategorien zugeordnet: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Suche nach einem Upgrade nicht möglich.';
@@ -106,5 +106,5 @@
 $lang['Link all category elements to a new category'] = 'Verlinkte alle Kategorieelemente zu einer neuen Kategorie';
 $lang['Link all category elements to some existing categories'] = 'Verlinkte alle Kategorieelemente zu einer bestehenden Kategorie';
-$lang['Linked albums'] = 'Verlinkte Kategorie';
+$lang['Linked albums'] = 'Verlinkte Alben';
 $lang['Lock gallery'] = 'Blockiere Schreibzugriffe auf die Datenbank für Wartungsarbeiten';
 $lang['Maintenance'] = 'Wartung';
@@ -115,9 +115,9 @@
 $lang['Members'] = 'Mitglieder';
 $lang['Metadata synchronized from file'] = 'Metadaten synchronisiert von Datei';
-$lang['Move albums'] = 'Verschiebe Kategorie';
+$lang['Move albums'] = 'Verschiebe Alben';
 $lang['Move'] = 'Bewege';
 $lang['Name'] = 'Name';
 $lang['New name'] = 'Neuer Name';
-$lang['New parent album'] = 'Neue Oberkategorie';
+$lang['New parent album'] = 'Neues übergeordnetes Album';
 $lang['New tag'] = 'Neuer Tag';
 $lang['Number of comments per page'] = 'Anzahl von Kommentaren pro Seite';
@@ -129,5 +129,5 @@
 $lang['Other private categories'] = 'Andere private Kategorien';
 $lang['Page banner'] = 'Seitenbanner';
-$lang['Parent album'] = 'übergeordnete Kategorie';
+$lang['Parent album'] = 'übergeordnetes Album';
 $lang['Path'] = 'Pfad';
 $lang['Permalink'] = 'Permalink';
@@ -164,5 +164,5 @@
 $lang['Status'] = 'Status';
 $lang['Statistics'] = 'Statistik';
-$lang['Storage album'] = 'Speicherkategorie';
+$lang['Storage album'] = 'Speicheralbum';
 $lang['Sum of rates'] = 'Summe der Bewertungen';
 $lang['Tag "%s" already exists'] = 'Tag "%s" existiert bereits';
@@ -182,5 +182,5 @@
 $lang['Virtual categories movement'] = 'Verschieben virtueller Kategorien';
 $lang['Virtual categories to move'] = 'Wähle eine oder mehrere Virtuelle Kategorien aus um sie zu verschieben';
-$lang['Virtual album name'] = 'Virtuelle Kategoriename';
+$lang['Virtual album name'] = 'Virtueller Albenname';
 $lang['Webmaster cannot be deleted'] = 'Webmaster kann nicht gelöscht werden';
 $lang['You are running on development sources, no check possible.'] = 'Sie benutzen eine Entwicklerversion von Piwigo, es kann keine Suche nach Aktualisierungen vorgenommen werden.';
@@ -193,8 +193,8 @@
 $lang['associate to group'] = 'Mit Gruppe verbinden';
 $lang['Authorized'] = 'Freigegebene Kategorien';
-$lang['Add a virtual album'] = 'Virtuelle Kategorie hinzufügen';
+$lang['Add a virtual album'] = 'Virtuelles Album hinzufügen';
 $lang['Authorize users to add comments on selected categories'] = 'Benutzern erlauben, in ausgewählten Kategorien Kommentare zu schreiben';
 $lang['The name of a category should not be empty'] = 'Name der Kategorie darf nicht leer sein.';
-$lang['Lock albums'] = 'Kategorie schließen';
+$lang['Lock albums'] = 'Alben sperren';
 $lang['Private'] = 'Private Kategorie';
 $lang['Public'] = 'öffentliche Kategorie';
@@ -203,6 +203,6 @@
 $lang['Manage authorizations for selected categories'] = 'Berechtigungen für ausgewählte Kategorien verwalten';
 $lang['Select uploadable categories'] = 'gebe Kategorien für den Upload frei';
-$lang['Virtual album added'] = 'Virtuelle Kategorie hinzugefügt';
-$lang['Virtual album deleted'] = 'Virtuelle Kategorie gelöscht';
+$lang['Virtual album added'] = 'Virtuelles Album hinzugefügt';
+$lang['Virtual album deleted'] = 'Virtuelles Album gelöscht';
 $lang['Category'] = 'Kategorie';
 $lang['Access type'] = 'Zugangsart';
@@ -597,5 +597,5 @@
 $lang['Manage image ranks'] = 'Verwalten Sie die Reihenfolge der Bilder';
 $lang['Edit ranks'] = 'Die Reihenfolge ändern';
-$lang['No element in this album'] = 'Kein Element in dieser Kategorie';
+$lang['No element in this album'] = 'Kein Element in diesem Album';
 $lang['Images manual order was saved'] = 'Die manuelle Reihenfolge der Bilder wurde gespeichert';
 $lang['ranks'] = 'Reihenfolge';