Index: /branches/2.1/plugins/admin_multi_view/language/ka_GE/description.txt
===================================================================
--- /branches/2.1/plugins/admin_multi_view/language/ka_GE/description.txt	(revision 6982)
+++ /branches/2.1/plugins/admin_multi_view/language/ka_GE/description.txt	(revision 6982)
@@ -0,0 +1,1 @@
+საშუალებას აძლევს ადმინისტრატორს ნახოს გალერეა როგორც სტუმარმა და/ან შეცვალოს ენა ან/და თემა. სასარგებლოა გამართვისათვის, შეტანილი ცვლილებების გასწორებისათვის...
Index: /branches/2.1/plugins/admin_multi_view/language/ka_GE/index.php
===================================================================
--- /branches/2.1/plugins/admin_multi_view/language/ka_GE/index.php	(revision 6982)
+++ /branches/2.1/plugins/admin_multi_view/language/ka_GE/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/admin_multi_view/language/ru_RU/description.txt
===================================================================
--- /branches/2.1/plugins/admin_multi_view/language/ru_RU/description.txt	(revision 6982)
+++ /branches/2.1/plugins/admin_multi_view/language/ru_RU/description.txt	(revision 6982)
@@ -0,0 +1,3 @@
+Позволяет администраторам просматривать галерею в качестве гостей и / или
+изменить язык и / или тему на "лету". Практично для
+отладки изменения ...
Index: /branches/2.1/plugins/admin_multi_view/language/ru_RU/index.php
===================================================================
--- /branches/2.1/plugins/admin_multi_view/language/ru_RU/index.php	(revision 6982)
+++ /branches/2.1/plugins/admin_multi_view/language/ru_RU/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/c13y_upgrade/language/ka_GE/description.txt
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ka_GE/description.txt	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ka_GE/description.txt	(revision 6982)
@@ -0,0 +1,1 @@
+შეამოწმეთ განახლების მთლიანობა.
Index: /branches/2.1/plugins/c13y_upgrade/language/ka_GE/index.php
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ka_GE/index.php	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ka_GE/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/c13y_upgrade/language/ka_GE/plugin.lang.php
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ka_GE/plugin.lang.php	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ka_GE/plugin.lang.php	(revision 6982)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
+$lang['c13y_upgrade_no_anomaly'] = 'განახლების შემდეგ ანომალიები არ არის აღმოჩენილი, მოდული "განახლების შემოწმება"  გამორთულია.';
+$lang['c13y_dbl_email_user'] = 'მომხმარებლები ელ.ფოსტის იმავე მისამართით';
+$lang['c13y_correction_dbl_email_user'] = 'დუბლირებული მომხმარებლების წაშლა';
+$lang['c13y_obsolete_plugin'] = 'მოძველებული მოდული';
+$lang['c13y_correction_obsolete_plugin'] = 'მოდული "%s" გამორთულია, რადგან ის არ არის თავსებადი Piwigo–ს ამ ვერსიასთან. გთხოვთ წაშალოთ იგი.';
+
+?>
Index: /branches/2.1/plugins/c13y_upgrade/language/ru_RU/description.txt
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ru_RU/description.txt	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ru_RU/description.txt	(revision 6982)
@@ -0,0 +1,1 @@
+Проверьте целостность обновления.
Index: /branches/2.1/plugins/c13y_upgrade/language/ru_RU/index.php
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ru_RU/index.php	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ru_RU/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php
===================================================================
--- /branches/2.1/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php	(revision 6982)
+++ /branches/2.1/plugins/c13y_upgrade/language/ru_RU/plugin.lang.php	(revision 6982)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
+$lang['c13y_upgrade_no_anomaly'] = 'Аномалии не обнаружены после применения обновления. плагин "Проверить обновления" был отключен.';
+$lang['c13y_dbl_email_user'] = 'Пользователи с тем же адресом электронной почты';
+$lang['c13y_correction_dbl_email_user'] = 'Удаление дубликатов пользователей';
+$lang['c13y_obsolete_plugin'] = 'Устаревший плагин';
+$lang['c13y_correction_obsolete_plugin'] = 'Модуль "%s" отключена, потому что она не совместима с этой версией Piwigo . Пожалуйста, удалите его.';
+
+?>
Index: /branches/2.1/plugins/language_switch/language/ka_GE/description.txt
===================================================================
--- /branches/2.1/plugins/language_switch/language/ka_GE/description.txt	(revision 6982)
+++ /branches/2.1/plugins/language_switch/language/ka_GE/description.txt	(revision 6982)
@@ -0,0 +1,1 @@
+გადასვლა სხვა ენაზე დროშების საშუალებით თქვენი გალერეის მთავარ გვერდზე.
Index: /branches/2.1/plugins/language_switch/language/ka_GE/index.php
===================================================================
--- /branches/2.1/plugins/language_switch/language/ka_GE/index.php	(revision 6982)
+++ /branches/2.1/plugins/language_switch/language/ka_GE/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/plugins/language_switch/language/ru_RU/description.txt
===================================================================
--- /branches/2.1/plugins/language_switch/language/ru_RU/description.txt	(revision 6982)
+++ /branches/2.1/plugins/language_switch/language/ru_RU/description.txt	(revision 6982)
@@ -0,0 +1,1 @@
+Переход на другой язык с помощью флагов на вашей домашней странице галереи.
Index: /branches/2.1/plugins/language_switch/language/ru_RU/index.php
===================================================================
--- /branches/2.1/plugins/language_switch/language/ru_RU/index.php	(revision 6982)
+++ /branches/2.1/plugins/language_switch/language/ru_RU/index.php	(revision 6982)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>